import { StyleSheet, Text, View } from 'react-native'
import React from 'react'
import MaterialIcon from 'react-native-vector-icons/MaterialIcons'
import colors from '../../../theme/colors'
import ButtonWrapper from '../../atoms/ButtonWrapper'
const EditButton = (props) => {

    const {
        onPress,
        buttonStyle,
        iconColor,
        iconSize
    } = props

  return (
    <ButtonWrapper onPress={onPress} buttonStyle={buttonStyle}>
      <MaterialIcon name='create' color={iconColor ? iconColor : styles.icon.color} size={iconSize ? iconSize : styles.icon.fontSize} />
    </ButtonWrapper>
  )
}

export default EditButton

const styles = StyleSheet.create({
    icon:{
        fontSize: 20,
        color: colors.primaryColor
    }
})