import { StyleSheet, } from 'react-native'
import React from 'react'
import colors from '../../../theme/colors'
import fonts from '../../../theme/fonts'
import IonIcon from 'react-native-vector-icons/Ionicons'
import ButtonWrapper from '../../atoms/ButtonWrapper'

const ShareButton = ({ size, buttonStyle, iconColor, iconSize, onPress }) => {
  return (
    <ButtonWrapper onPress={onPress} buttonStyle={buttonStyle}>
      <IonIcon name='share-social-outline' color={iconColor ? iconColor : styles.icon.color} size={iconSize ? iconSize : styles.icon.fontSize} />
    </ButtonWrapper>
  )
}

export default ShareButton

const styles = StyleSheet.create({
  buttonStyle: {
    alignItems: 'center',
    justifyContent: 'center',
    height: 'auto',
    width: 'auto'
  },
  icon: {
    color: colors.topColor,
    fontSize: fonts.getSize(16)
  }

})