import { StyleSheet, Text, View, TouchableOpacity} from 'react-native'
import React from 'react'
import Header from '../../atoms/Header'
import fonts from '../../../theme/fonts'
import colors from '../../../theme/colors'



const NewscoutCenteredTitleHeader = ({children, backButtonShown, onBackClick, title, titleStyle }) => {
    return (
        <Header onBackClick={onBackClick} backButtonShown>
            
            <Text style={[styles.title, titleStyle]}>{title ?? "Title"}</Text>
            {children}
        </Header>
    )
}

export default NewscoutCenteredTitleHeader

const styles = StyleSheet.create({
    title: {
        fontFamily: fonts.type.semibold,
        fontSize: fonts.getSize(16),
        color: colors.black,
    },
    titleContainer:{
        flexDirection:'row',
        alignItems:'center',
        gap: 8

    }
})