import React from 'react'
import { createNativeStackNavigator } from '@react-navigation/native-stack'
import HelpPage from '../screens/HelpPage';
import FAQPage from '../screens/FAQPage';
import ContactUsPage from '../screens/ContactUsPage';
import TermsConditionsPage from '../screens/TermsConditionsPage';
import PrivacyPolicyPage from '../screens/PrivacyPolicyPage';
import AboutUsPage from '../screens/AboutUsPage';


const Stack = createNativeStackNavigator();
const HelpPageNavigator = ({ route, navigation}) => {
    return (
        <Stack.Navigator
            initialRouteName='MainHelp'
        >
            <Stack.Screen
                name="MainHelp"
                options={(navigation) => ({
                    headerShown: false
                })}
                component={HelpPage}
            />
            <Stack.Screen
                name="FAQ"
                options={(navigation) => ({
                    headerShown: false
                })}
                component={FAQPage}
            />
            <Stack.Screen
                name="ContactUs"
                options={(navigation) => ({
                    headerShown: false
                })}
                component={ContactUsPage}
            />
            <Stack.Screen
                name="Terms&Conditions"
                options={(navigation) => ({
                    headerShown: false
                })}
                component={TermsConditionsPage}
            />
            <Stack.Screen
                name="PrivacyPolicy"
                options={(navigation) => ({
                    headerShown: false
                })}
                component={PrivacyPolicyPage}
            />
            <Stack.Screen
                name="AboutUs"
                options={(navigation) => ({
                    headerShown: false
                })}
                component={AboutUsPage}
            />
        </Stack.Navigator>
    )
}

export default HelpPageNavigator;