import { View, Text , TouchableWithoutFeedback} from 'react-native'
import React from 'react'
import { createNativeStackNavigator } from '@react-navigation/native-stack'
import ProfilePage from '../screens/ProfilePage';
import EditProfilePage from '../screens/EditProfilePage';
import SettingsPageNavigator from './SettingsPageNavigator';


const Stack = createNativeStackNavigator();
const ProfileNavigator = ({ route, navigation}) => {
    return (
        <Stack.Navigator
            initialRouteName='DisplayProfile'
        >
            <Stack.Screen
                name="DisplayProfile"
                options={(navigation) => ({
                    headerShown: false
                })}
                component={ProfilePage}
            />
            <Stack.Screen
                name="Settings"
                options={(navigation) => ({
                    headerShown: false
                })}
                component={SettingsPageNavigator}
            />
            <Stack.Screen
                name="EditProfile"
                options={(navigation) => ({
                    headerShown: false
                })}
                component={EditProfilePage}
            />
        </Stack.Navigator>
    )
}

export default ProfileNavigator;